Package com.collabnet.ce.soap60.webservices.cemain

# Class FolderSoapDO

java.lang.Object
com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
com.collabnet.ce.soap60.webservices.cemain.FolderSoapDO

Direct Known Subclasses:
  `CategorySoapDO`, `DocumentFolderSoapDO`, `Forum2SoapDO`, `ForumSoapDO`, `GenericFolderSoapDO`, `PackageSoapDO`, `PageSoapDO`, `PlanningFolder2SoapDO`, `PlanningFolder3SoapDO`, `PlanningFolder4SoapDO`, `PlanningFolder5SoapDO`, `PlanningFolderSoapDO`, `PlanningFolderSummary2SoapDO`, `PlanningFolderSummary3SoapDO`, `PlanningFolderSummary4SoapDO`, `PlanningFolderSummary5SoapDO`, `PlanningFolderSummarySoapDO`, `PluggableComponent2SoapDO`, `PluggableComponent3SoapDO`, `PluggableComponent4SoapDO`, `PluggableComponent5SoapDO`, `PluggableComponentSoapDO`, `PluggablePermissionSoapDO`, `ReleaseSoapDO`, `Repository2SoapDO`, `RepositorySoapDO`, `TopicSoapDO`, `Tracker2SoapDO`, `Tracker3SoapDO`, `TrackerSoapDO`

public abstract class FolderSoapDO extends com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO
Basic data inherited by all container objects extending this data type.

Since:
  4.1

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FolderSoapDO()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  Returns the folder description.
  `String`
  `getParentFolderId()`
  Returns the parent container (folder) id, if one exists.
  `String`
  `getPath()`
  Returns the folder path.
  `String`
  `getProjectId()`
  Returns the project to which this folder belongs.
  `String`
  `getTitle()`
  Returns the folder title.
  `static void`
  `registerTypeMappings(org.apache.axis.client.Call call)`
  Registers SOAP type mappings.
  `void`
  `setDescription(String description)`
  Sets the folder description.
  `void`
  `setParentFolderId(String parentFolderId)`
  Sets the parent container (folder) id, if one exists.
  `void`
  `setPath(String path)`
  Sets the folder path.
  `void`
  `setProjectId(String projectId)`
  Sets the project to which this folder belongs.
  `void`
  `setTitle(String title)`
  Sets the folder title.

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.cemain.ObjectSoapDO

  `getCreatedBy, getCreatedDate, getId, getLastModifiedBy, getLastModifiedDate, getVersion, setCreatedBy, setCreatedDate, setId, setLastModifiedBy, setLastModifiedDate, setVersion`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FolderSoapDO

    public FolderSoapDO()

- ## Method Details

  - ### getProjectId

    public String getProjectId()
    Returns the project to which this folder belongs.
    Returns:
      Project ID.

  - ### setProjectId

    public void setProjectId(String projectId)
    Sets the project to which this folder belongs.
    Parameters:
      `projectId` - Project ID.

  - ### getParentFolderId

    public String getParentFolderId()
    Returns the parent container (folder) id, if one exists. For a document folder, this refers to the parent folder. For a release (ReleaseSoapDO) it refers to a package. For a topic (TopicSoapDO) it refers to a forum, etc.
    Returns:
      Parent container (folder) ID or null if none exists.

  - ### setParentFolderId

    public void setParentFolderId(String parentFolderId)
    Sets the parent container (folder) id, if one exists. For a document folder, this refers to the parent folder. For a release (ReleaseSoapDO) it refers to a package. For a topic (TopicSoapDO) it refers to a forum, etc.
    Parameters:
      `parentFolderId` - Parent container (folder) ID or null if none exists.

  - ### getPath

    public String getPath()
    Returns the folder path.
    Returns:
      the folder path.

  - ### setPath

    public void setPath(String path)
    Sets the folder path.
    Parameters:
      `path` - Folder path.

  - ### getTitle

    public String getTitle()
    Returns the folder title.
    Returns:
      the folder title.

  - ### setTitle

    public void setTitle(String title)
    Sets the folder title.
    Parameters:
      `title` - folder title.

  - ### getDescription

    public String getDescription()
    Returns the folder description.
    Returns:
      the folder description.

  - ### setDescription

    public void setDescription(String description)
    Sets the folder description.
    Parameters:
      `description` - folder description.

  - ### registerTypeMappings

    public static void registerTypeMappings(org.apache.axis.client.Call call)
    Registers SOAP type mappings.
    Parameters:
      `call` - Soap call.